<?php

include "config.php";
date_default_timezone_set('America/Lima'); 
$servidor = 'http://'.$_SERVER['SERVER_NAME'].'/';

$asistente = filter_var($_POST['asistente'],  FILTER_SANITIZE_STRING);
$correo = filter_var($_POST['correo'],  FILTER_SANITIZE_STRING);
$cargo = filter_var($_POST['cargo'],  FILTER_SANITIZE_STRING);

$colegio = filter_var($_POST['colegio'],  FILTER_SANITIZE_STRING);
$fecha=strftime( "%Y-%m-%d-%H-%M-%S", time() );


$correo_existe="";
$colegio_mayor_2="";
$sql = "SELECT * FROM 2019_seminario_estrategica_udep_24_abril WHERE correo='".$correo."'";
$resEmp = mysqli_query($con,$sql) or die(mysqli_error());
$totEmp = mysqli_num_rows($resEmp);
if ($totEmp > 0) {
	while ($rowEmp = mysqli_fetch_assoc($resEmp)) {
		$correo_existe = "ok";
	}
}else{
	$sql_2 = "SELECT count(*) as 'fila' FROM 2019_seminario_estrategica_udep_24_abril WHERE colegio='".$colegio."'";
	$resEmp_2 = mysqli_query($con,$sql_2) or die(mysqli_error());
	$totEmp_2 = mysqli_num_rows($resEmp_2);
		while ($rowEmp_2 = mysqli_fetch_array($resEmp_2)) {	
			if($rowEmp_2['fila'] > 2 || $rowEmp_2['fila'] == 2){
				$colegio_mayor_2 = "ok";
			}else{
				$colegio_mayor_2 = "";
			}
		}
}




if ($asistente == "" || is_numeric($asistente) ){
	if ( is_numeric($asistente) ){
		echo "Error en Nombre. Por favor, ingresar solo letras.";
	}else{
		echo "Error en Nombre. Por favor, ingresar Nombre.";
	}
}
else if( $correo == "" || !(preg_match("/^[\.A-z0-9_\-\+]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/",$correo)) ){
	if ( !(preg_match("/^[\.A-z0-9_\-\+]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/",$correo)) ){
		echo "Correo inválido.";
	}else{
		echo "Error. Por favor, ingrese su correo.";
	}
}

else if ($correo_existe == "ok" ){
	echo "El Correo:<strong> ".$correo."</strong> ya se encuentra registrado.";
}

else if ($colegio_mayor_2 == "ok" ){
	echo "El colegio:<strong> ".$colegio."</strong> ya tiene registrado 2 participantes.";
}

else if ($cargo == "" ){
	echo "Error en cargo. Por favor, Seleccione su cargo.";
}
	
else if ($colegio == "" ){
	echo "Error en Colegio. Por favor, Seleccione su colegio.";
}

else{



		$insertPersona= "INSERT INTO  2019_seminario_estrategica_udep_24_abril (id,nombre_apellidos,correo,cargo,colegio,fecha_registro)VALUES (NULL,
		'". mb_convert_case(strtoupper($asistente), MB_CASE_UPPER, "UTF-8")."',
		'". mb_convert_case(strtoupper($correo), MB_CASE_UPPER, "UTF-8")."',
		'". mb_convert_case(strtoupper($cargo), MB_CASE_UPPER, "UTF-8")."',
		'". mb_convert_case(strtoupper($colegio), MB_CASE_UPPER, "UTF-8")."',
		'".date("Y-m-d H:i:s")."')";
		
		$result = mysqli_query($con,$insertPersona) or die(mysql_error($con));


		$mensaje = '<html>
							<head>
							<title>Inscripci&oacute;n en L&iacute;nea - Dirección Estratégica para Instituciones Educativas - Universidad de Piura</title>
							
							</head>
							<body>
							<div style="width:100%;">
							
							<table bgcolor="#FFF" width="100%" height="300" border="0" cellspacing="0" cellpadding="5" align="left" >
								<tr>
									<img src="'.$servidor.'img/confirmacion.jpg" width="700" border="0">
								</tr>
								<tr>
								  <td  align="left" class="tdrow1"><p style="font-family:Arial;">Hola <strong>'.strtoupper($asistente).'</strong></p>
	
		<p style="font-family:Arial;">
		Se ha confirmado tu participaci&oacute;n en el <strong>Seminario UDEP - Dirección Estratégica para Instituciones Educativas</strong></p>
		<p style="font-family:Arial;">Te esperamos el miércoles 24 de Abril de 2019 - 8:00 a.m. a 5:00 p.m.</p>
		</p></td>
								</tr>
								<tr>
									<td align="left" class="maintitle"></td>
								</tr>
								<tr>
									<td style="padding:0px; margin:0px;" ><a style="padding:0px; margin:0px;" target="_blank" href="http://admisionudep.com"><img src="'.$servidor.'/img/footer.jpg" width="700" border="0" ></a></td>
								</tr>
								<tr>
									<td align="left" class="maintitle"><strong></strong></td>
								</tr>
								</table>	
								</div>					
							</body>
							</html>';


		ini_set( display_errors, 1 );
		error_reporting( E_ALL );
		//$from = "admision@admisionudep.com";
		$from = "elizabethramosarphi@gmail.com";
		$to = $correo;
		$subject = "Confirmación de Registro";
	//	$message = "This is a test to check the PHP Mail functionality";
		$message = $mensaje;
	//	$headers = "From:" . $from;
	// Cabecera que especifica que es un HMTL
	//$headers = 'From: admisionlima@udep.pe' . "\r\n" . //La direccion de correo desde donde supuestamente se envió
	$headers = 'From: elizabethramosarphi@gmail.com' . "\r\n" . //La direccion de correo desde donde supuestamente se envió	
		//'Reply-To: admisionlima@udep.pe' . "\r\n" . //La direccion de correo a donde se responderá (cuando el recepto haga click en RESPONDER)
	    'Reply-To: unseo1989@gmail.com' . "\r\n" . //La direccion de correo a donde se responderá (cuando el recepto haga click en RESPONDER)
		'MIME-Version: 1.0' . "\r\n".
		'Content-type: text/html; charset=utf-8' . "\r\n".
		'X-Mailer: PHP/' . phpversion();  //información sobre el sistema de envio de correos, en este caso la version de PHP
		mail($to,$subject,$message, $headers);
		echo "";

}
?>
